Subject: bug#21260: 23.2; Devanagari windows 10

From: Eli Zaretskii <[email-masked]>
Date: Wed, 19 Aug 2015 05:45:58 +0300

> Cc: [email-masked]
> From: Jim Funderburk <[email-masked]>
> Date: Tue, 18 Aug 2015 15:52:23 -0400
> 
> Eli - Just a note as to why I prefer the old Emacs 23 version.
>     Somewhere in the evolution to version 24, Emacs dropped a small feature
>     that I find important for productivity.  Namely, in Emacs23, when you
>     select text with the mouse (by double clicking a word, triple 
> clicking a line,
>     or dragging ),  the selected text automatically goes into the system 
> clipboard
>     and you can immediately paste elsewhere in some Emacs buffer or into 
> some
>     other application.   By contrast, for Emacs 24, you have to further 
> click the 'copy'
>     button (or some keyboard equivalent).

There's an explanation in NEWS how to get the behavior you like back;
search for "selection".

>     However, I appreciate the tip regarding bidirectional text support 
> in Emacs 24,
>     as I have noticed that Emacs 23 does not handle Arabic properly.

Exactly.